Subject: Re: bug#6861: 24.0.50; Scroll lock not bound

From: Stefan Kangas <[email-masked]>
Date: Tue, 20 Aug 2019 19:15:34 +0200

Stefan Kangas <[email-masked]> writes:

> David Kastrup <[email-masked]> writes:
>
>> I tried using the Scroll Lock Key, and got an error telling me it is
>> unbound.  I figured out there was a library scroll-lock and loaded it.
>> The Scroll Lock Key still was unbound, though calling scroll-lock-mode
>> did what I would have expected to be on the scroll lock key.
>>
>> I suggest putting an appropriate autoloaded default global key
>> definition on the Scroll Lock Key, since nothing is gained by not
>> binding it to something useful.  If a user happens to have his own
>> different definition, this will override the default anyway.
>
> That sounds reasonable to me.  It should be a small job to do it.
> Does anyone disagree with such a change?

If there are no objections, I'll install the attached patch in a couple of days.
I've also included a NEWS entry for this change.

Thanks,
Stefan Kangas
From 5c299e9886333e606c4300debd9f6363c7d60791 Mon Sep 17 00:00:00 2001
From: Stefan Kangas <[email-masked]>
Date: Tue, 20 Aug 2019 19:04:16 +0200
Subject: [PATCH] Bind Scroll Lock to scroll-lock-mode globally

* lisp/bindings.el (global-map): Bind Scroll_Lock to
scroll-lock-mode.  (Bug#6861)
---
 lisp/bindings.el | 1 +
 1 file changed, 1 insertion(+)

diff --git a/lisp/bindings.el b/lisp/bindings.el
index 0be1458798..16da2bdf9a 100644
--- a/lisp/bindings.el
+++ b/lisp/bindings.el
@@ -1054,6 +1054,7 @@ global-map
 ;(define-key global-map [delete] 'backward-delete-char)
 
 ;; natural bindings for terminal keycaps --- defined in X keysym order
+(define-key global-map [Scroll_Lock]    'scroll-lock-mode)
 (define-key global-map [C-S-backspace]  'kill-whole-line)
 (define-key global-map [home]		'move-beginning-of-line)
 (define-key global-map [C-home]		'beginning-of-buffer)
-- 
2.20.1